ONVIF::Device::Types::Dot11AvailableNetworks(3)

NAME
ONVIF::Device::Types::Dot11AvailableNetworks

DESCRIPTION
Perl data type class for the XML Schema defined complexType Dot11AvailableNetworks from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SSID

•   BSSID

•   AuthAndMangementSuite

•   PairCipher

•   GroupCipher

•   SignalStrength

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Dot11AvailableNetworks
   SSID => $some_value, # Dot11SSIDType
   BSSID =>  $some_value, # string
   AuthAndMangementSuite => $some_value, # Dot11AuthAndMangementSuite
   PairCipher => $some_value, # Dot11Cipher
   GroupCipher => $some_value, # Dot11Cipher
   SignalStrength => $some_value, # Dot11SignalStrength
   Extension =>  { # ONVIF::Device::Types::Dot11AvailableNetworksExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL